'use strict';

var React = require('react');

function _interopNamespaceDefault(e) {
  var n = Object.create(null);
  if (e) {
    Object.keys(e).forEach(function (k) {
      if (k !== 'default') {
        var d = Object.getOwnPropertyDescriptor(e, k);
        Object.defineProperty(n, k, d.get ? d : {
          enumerable: true,
          get: function () { return e[k]; }
        });
      }
    });
  }
  n.default = e;
  return Object.freeze(n);
}

var React__namespace = /*#__PURE__*/_interopNamespaceDefault(React);

var _path;
var _excluded = ["title", "titleId"];
function _extends() { return _extends = Object.assign ? Object.assign.bind() : function (n) { for (var e = 1; e < arguments.length; e++) { var t = arguments[e]; for (var r in t) ({}).hasOwnProperty.call(t, r) && (n[r] = t[r]); } return n; }, _extends.apply(null, arguments); }
function _objectWithoutProperties(e, t) { if (null == e) return {}; var o, r, i = _objectWithoutPropertiesLoose(e, t); if (Object.getOwnPropertySymbols) { var n = Object.getOwnPropertySymbols(e); for (r = 0; r < n.length; r++) o = n[r], -1 === t.indexOf(o) && {}.propertyIsEnumerable.call(e, o) && (i[o] = e[o]); } return i; }
function _objectWithoutPropertiesLoose(r, e) { if (null == r) return {}; var t = {}; for (var n in r) if ({}.hasOwnProperty.call(r, n)) { if (-1 !== e.indexOf(n)) continue; t[n] = r[n]; } return t; }
var SvgTwitter = function SvgTwitter(_ref) {
  var title = _ref.title,
    titleId = _ref.titleId,
    props = _objectWithoutProperties(_ref, _excluded);
  return /*#__PURE__*/React__namespace.createElement("svg", _extends({
    xmlns: "http://www.w3.org/2000/svg",
    fill: "none",
    viewBox: "0 0 24 24",
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React__namespace.createElement("title", {
    id: titleId
  }, title) : null, _path || (_path = /*#__PURE__*/React__namespace.createElement("path", {
    fill: "currentColor",
    fillRule: "evenodd",
    d: "M23 5.13a9 9 0 0 1-2.591.716 4.56 4.56 0 0 0 1.983-2.514c-.874.521-1.84.899-2.867 1.104A4.49 4.49 0 0 0 16.23 3c-2.493 0-4.514 2.036-4.514 4.545q0 .535.117 1.035c-3.75-.19-7.075-2-9.301-4.75-.39.671-.61 1.452-.61 2.286 0 1.577.797 2.968 2.007 3.783a4.5 4.5 0 0 1-2.045-.57v.056a4.54 4.54 0 0 0 3.62 4.457c-.378.103-.777.16-1.19.16q-.434-.001-.849-.085c.575 1.807 2.241 3.121 4.215 3.157a9 9 0 0 1-5.605 1.943Q1.53 19.016 1 18.955A12.7 12.7 0 0 0 7.918 21c8.302 0 12.84-6.926 12.84-12.933l-.015-.589A9 9 0 0 0 23 5.13",
    clipRule: "evenodd"
  })));
};

exports.ReactComponent = SvgTwitter;
